Lists the labels in the given hub.
GET
v1/accounts/{accountId}/labels
Lists the labels in a hub.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/parameters/v1/accounts/{accountId}/labels |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
Request
Query String Parameters
| offset int | Offset from the start of the collection to the first entry in the page. Zero based. |
| limit int | Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons. |
Response
HTTP Status Code Summary
| 200 OK | Successful retrieval of all labels within a hub. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (200)
Expand all
| pagination object | The information for paginating records returned by the endpoint. |
| offset int | Offset from the start of the collection to the first entry in the page. Zero based. |
| limit int | Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons. |
| totalResults int | The total number of results that match the query irrespective of limit. |
| nextUrl string | Link that will return the next page of data. If not included, this is the last page of data. |
| result array: object | |
| id string | The label ID. |
| name string | The label name. |
| description string | The label description. |
Example
Successful retrieval of the labels (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/labels' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"totalResults": 89,
"offset": 0,
"limit": 50,
"nextUrl": "https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/labels?offset=50&limit=50"
},
"results": [
{
"id": "ACMT-69415-CEVT-22201",
"name": "test",
"description": ""
},
{
"id": "ACNL-88665-BCSL-99749",
"name": "General",
"description": ""
},
{
"id": "ACNL-88665-BDMS-42782",
"name": "Rebar Shape Families",
"description": ""
}
]
}
Show More